(*
 *	Copyright (c) 2002 by Laboratoire Spcification et Vrification (LSV),
 *	CNRS UMR 8643 & ENS Cachan.
 *	Written by Jean Goubault-Larrecq.  Not derived from licensed software.
 *
 *	Permission is granted to anyone to use this software for any
 *	purpose on any computer system, and to redistribute it freely,
 *	subject to the following restrictions:
 *
 *	1. Neither the author nor its employer is responsible for the 
 *         consequences of use of this software, no matter how awful, 
 *         even if they arise from defects in it.
 *
 *	2. The origin of this software must not be misrepresented, either
 *	   by explicit claim or by omission.
 *
 *	3. Altered versions must be plainly marked as such, and must not
 *	   be misrepresented as being the original software.
 *
 *	4. This software is restricted to non-commercial use only.  Commercial
 *	   use is subject to a specific license, obtainable from LSV.
 *	   This was developed as part of the EVA project; as such, access
 *	   to this software by partners of the RNTL EVA Project (Trusted
 *	   Logic S.A., Verimag) is defined by the intellectual property
 *	   agreement signed as part of this project.
 *)

(**  Dump specifications in abstract syntax for
  debugging puposes. *)

open Abstract;;
open Symbols;;

val debugpp_label : 
  eva_label -> unit

val debugpp_llabel : 
  eva_llabel -> unit

val debugpp_type : 
  eva_type -> unit

val debugpp_ltype : 
  eva_ltype -> unit

val debugpp_scope : 
  eva_scope -> unit

val debugpp_lscope : 
  eva_lscope -> unit

val debugpp_id : 
  eva_id -> unit

val debugpp_lid : 
  eva_lid -> unit

val debugpp_value : 
  eva_value -> unit

val debugpp_lvalue : 
  eva_lvalue -> unit

val debugpp_term : 
  eva_term -> unit

val debugpp_lterm : 
  eva_lterm -> unit

val debugpp_dcl : 
  eva_dcl -> unit

val debugpp_ldcl : 
  eva_ldcl -> unit

val debugpp_instr : 
  eva_instr -> unit

val debugpp_linstr : 
  eva_linstr -> unit

val debugpp_protocol : 
  eva_protocol -> unit

val debugpp_lprotocol : 
  eva_lprotocol -> unit

val debugpp_session : 
  eva_session -> unit

val debugpp_lsession : 
  eva_lsession -> unit

val debugpp_atom : 
  eva_atom -> unit

val debugpp_latom : 
  eva_latom -> unit

val debugpp_statement : 
  eva_statement -> unit

val debugpp_lstatement : 
  eva_lstatement -> unit

val debugpp_spec : 
  eva_spec -> unit

val dump_symbollist : 
  eva_symbol_list -> unit
