(*
 *	Copyright (c) 2002 by Laboratoire Spcification et Vrification (LSV),
 *	CNRS UMR 8643 & ENS Cachan.
 *	Written by Jean Goubault-Larrecq.  Not derived from licensed software.
 *
 *	Permission is granted to anyone to use this software for any
 *	purpose on any computer system, and to redistribute it freely,
 *	subject to the following restrictions:
 *
 *	1. Neither the author nor its employer is responsible for the 
 *         consequences of use of this software, no matter how awful, 
 *         even if they arise from defects in it.
 *
 *	2. The origin of this software must not be misrepresented, either
 *	   by explicit claim or by omission.
 *
 *	3. Altered versions must be plainly marked as such, and must not
 *	   be misrepresented as being the original software.
 *
 *	4. This software is restricted to non-commercial use only.  Commercial
 *	   use is subject to a specific license, obtainable from LSV.
 *	   This was developed as part of the EVA project; as such, access
 *	   to this software by partners of the RNTL EVA Project (Trusted
 *	   Logic S.A., Verimag) is defined by the intellectual property
 *	   agreement signed as part of this project.
 *)

(**
  Pretty print a specification in abstract syntax into
  a LAEVA concrete syntax, 
  with additional constructions for definition
  of separate processes. *)

open Abstract;;

val evapp_label : eva_label -> unit;;
val evapp_llabel : eva_llabel -> unit;;

val evapp_type : eva_type -> unit;;
val evapp_ltype : eva_ltype -> unit;;

val evapp_scope : eva_scope -> unit;;
val evapp_lscope : eva_lscope -> unit;;

val evapp_id : eva_id -> unit;;
val evapp_lid : eva_lid -> unit;;

val evapp_value : eva_value -> unit;;
val evapp_lvalue : eva_lvalue -> unit;;

val evapp_term : eva_term -> unit;;
val evapp_lterm : eva_lterm -> unit;;

val evapp_dcl : eva_dcl -> unit;;
val evapp_ldcl : eva_ldcl -> unit;;

val evapp_instr : eva_instr -> unit;;
val evapp_linstr : eva_linstr -> unit;;

val evapp_protocol : eva_protocol -> unit;;
val evapp_lprotocol : eva_lprotocol -> unit;;

val evapp_session : eva_session -> unit;;
val evapp_lsession : eva_lsession -> unit;;

val evapp_atom : eva_atom -> unit;;
val evapp_latom : eva_latom -> unit;;

val evapp_statement : eva_statement -> unit;;
val evapp_lstatement : eva_lstatement -> unit;;

val evapp_spec : eva_spec -> unit;;
