(*
 *	Copyright (c) 2002 by Laboratoire Spcification et Vrification (LSV),
 *	CNRS UMR 8643 & ENS Cachan.
 *	Written by Jean Goubault-Larrecq.  Not derived from licensed software.
 *
 *	Permission is granted to anyone to use this software for any
 *	purpose on any computer system, and to redistribute it freely,
 *	subject to the following restrictions:
 *
 *	1. Neither the author nor its employer is responsible for the 
 *         consequences of use of this software, no matter how awful, 
 *         even if they arise from defects in it.
 *
 *	2. The origin of this software must not be misrepresented, either
 *	   by explicit claim or by omission.
 *
 *	3. Altered versions must be plainly marked as such, and must not
 *	   be misrepresented as being the original software.
 *
 *	4. This software is restricted to non-commercial use only.  Commercial
 *	   use is subject to a specific license, obtainable from LSV.
 *	   This was developed as part of the EVA project; as such, access
 *	   to this software by partners of the RNTL EVA Project (Trusted
 *	   Logic S.A., Verimag) is defined by the intellectual property
 *	   agreement signed as part of this project.
 *)

open Printf;;

exception Internal_error of string;;


let trace_flag = ref false;;


let trace_on () = 
  trace_flag := true;;

let trace_off () = 
  trace_flag := false;;

let is_trace_mode () =
  !trace_flag;;

let internal_error fmt =
  if ( !trace_flag )
  then Error.internal_print ".ERROR. " fmt
  else Error.ignore fmt;;

let trace fmt =
  if ( !trace_flag )
  then Error.internal_fprint stderr "....... " fmt
  else Error.ignore fmt;;
